> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Serve Storage File

> Generic endpoint to serve files from any MinIO bucket.

This endpoint can be used to serve files from any bucket, but voice-previews
and call-recordings should use the dedicated endpoints above.

Path format: /storage/{bucket}/{path}



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /storage/{bucket}/{path}
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /storage/{bucket}/{path}:
    get:
      tags:
        - storage
      summary: Serve Storage File
      description: >-
        Generic endpoint to serve files from any MinIO bucket.


        This endpoint can be used to serve files from any bucket, but
        voice-previews

        and call-recordings should use the dedicated endpoints above.


        Path format: /storage/{bucket}/{path}
      operationId: serve_storage_file_storage__bucket___path__get
      parameters:
        - name: bucket
          in: path
          required: true
          schema:
            type: string
            title: Bucket
        - name: path
          in: path
          required: true
          schema:
            type: string
            title: Path
        - name: expires
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: URL expiration in seconds (for presigned URLs)
            title: Expires
          description: URL expiration in seconds (for presigned URLs)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````